import { defineComponent, props, setup as _setup } from "@opentiny/vue-common";
import { renderless, api } from "@opentiny/vue-renderless/loading/vue";
import "@opentiny/vue-theme-mobile/loading/index.css";
import { iconDotDownload } from "@opentiny/vue-icon";
import { resolveComponent, openBlock, createElementBlock, createVNode, createElementVNode, toDisplayString, createTextVNode } from "vue";
function _createForOfIteratorHelperLoose(o, allowArrayLike) {
  var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
  if (it)
    return (it = it.call(o)).next.bind(it);
  if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
    if (it)
      o = it;
    var i = 0;
    return function() {
      if (i >= o.length)
        return { done: true };
      return { done: false, value: o[i++] };
    };
  }
  throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o)
    return;
  if (typeof o === "string")
    return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor)
    n = o.constructor.name;
  if (n === "Map" || n === "Set")
    return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))
    return _arrayLikeToArray(o, minLen);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++)
    arr2[i] = arr[i];
  return arr2;
}
var _export_sfc = function _export_sfc2(sfc, props) {
  var target = sfc.__vccOpts || sfc;
  for (var _iterator = _createForOfIteratorHelperLoose(props), _step; !(_step = _iterator()).done; ) {
    var _step$value = _step.value, key = _step$value[0], val = _step$value[1];
    target[key] = val;
  }
  return target;
};

var _sfc_main = /* @__PURE__ */ defineComponent({
  components: {
    IconDotDownload: iconDotDownload()
  },
  props: [].concat(props, ["type", "loadtext"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var _hoisted_1 = {
  key: 0,
  class: "tiny-mobile-loading-primary"
};
var _hoisted_2 = {
  key: 1,
  class: "tiny-mobile-loading-simple"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  var _component_icon_dot_download = resolveComponent("icon-dot-download");
  return openBlock(), createElementBlock("div", null, [_ctx.state.type === "primary" ? (openBlock(), createElementBlock("div", _hoisted_1, [createVNode(_component_icon_dot_download), createElementVNode(
    "div",
    null,
    toDisplayString(_ctx.t(_ctx.loadtext)),
    1
    /* TEXT */
  )])) : (openBlock(), createElementBlock("div", _hoisted_2, [createTextVNode(
    toDisplayString(_ctx.t(_ctx.loadtext)) + " ",
    1
    /* TEXT */
  ), createVNode(_component_icon_dot_download)]))]);
}
var mobile = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export {
  mobile as default
};
